  <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Данные формы</title>
      </head>
      <body>
          <form action="/" method="post" enctype="application/x-www-form-urlencoded">
            <p>Выберите дату: <input type="date" name="date" required onchange="validateDate()" id='mydate'>
            <p>С какой валюты: <select name="firstValue">
                {{range .ArrStr}}
                <option value={{.}} >{{.}}</option>
                {{end}}
            </select>
            <p>На какую валюту: <select name="secondValue">
                {{range .ArrStr}}
                <option value={{.}}>{{.}}</option>
                {{end}}
            </select>
            
            <p>Сумма: <input type="text", name="summa"/>
            <p><input type="submit" value="Посчитать">
                <h1>{{.Output}}</h1>
            
        </form>

        <script>
            function validateDate() {
                var userdate = new Date(document.getElementById("mydate").value).toJSON().slice(0,10);
                var today = new Date().toJSON().slice(0,10);
                if(userdate > today){
                  alert('Не правильная дата!');
                }
            }
            </script>
      </body>
  </html>